Bug 1283141 - [node] hosted-engine-setup will not ask about appliance memory if the appliance OVA path is passed via answerfile
[node] hosted-engine-setup will not ask about appliance memory if the applian...
Status: CLOSED CURRENTRELEASE
Product: ovirt-hosted-engine-setup
Classification: oVirt
Component: Plugins.General (Show other bugs)
1.3.1
Unspecified Unspecified
unspecified Severity high (vote)
: ovirt-3.6.1
: 1.3.1
Assigned To: Rafael Martins
Artyom
integration
: Triaged
Depends On:
Blocks: 1284979
  Show dependency treegraph
 
Reported: 2015-11-18 06:20 EST by Simone Tiraboschi
Modified: 2015-12-16 07:22 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-16 07:22:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.z+
bmcclain: planning_ack+
sbonazzo: devel_ack+
mavital: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 47028 None None None Never
oVirt gerrit 47782 ovirt-hosted-engine-setup-1.3 MERGED packaging: setup: validate available memory for virtual machine Never

  None (edit)
Description Simone Tiraboschi 2015-11-18 06:20:23 EST
Description of problem:
hosted-engine-setup will not ask about appliance memory if the appliance OVA path is passed via answerfile.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. deploy hosted-engine using the engine appliance
2. pass the engine appliance OVA path via answerfile
3. avoid putting the appliance memory in the answerfile

Actual results:
It will just use the appliance value without asking

Expected results:
If the memory value is not in the answerfile it will ask

Additional info:
https://gerrit.ovirt.org/#/c/47028/ is implicitly solving this.
Comment 1 Artyom 2015-12-08 04:57:12 EST
Verified on ovirt-hosted-engine-setup-1.3.1.1-1.el7ev.noarch
run: hosted-engine --deploy --config-append=answers-20151206104826.conf
when answer file looks:
[environment:default]
OVEHOSTED_CORE/screenProceed=bool:True
OVEHOSTED_CORE/deployProceed=bool:True
OVEHOSTED_CORE/confirmSettings=bool:True
OVEHOSTED_NETWORK/bridgeName=str:ovirtmgmt
OVEHOSTED_NETWORK/firewallManager=str:iptables
OVEHOSTED_STORAGE/storageDatacenterName=str:hosted_datacenter
OVEHOSTED_STORAGE/domainType=str:nfs3
OVEHOSTED_STORAGE/imgAlias=str:hosted_engine
OVEHOSTED_STORAGE/storageDomainName=str:hosted_storage
OVEHOSTED_VDSM/consoleType=str:vnc
OVEHOSTED_VM/vmMACAddr=str:00:16:3E:14:E7:A2
OVEHOSTED_VM/vmBoot=str:disk
OVEHOSTED_VM/ovfArchive=str:/usr/share/ovirt-engine-appliance/rhevm-appliance-20151119.0-1.el7ev.ova
OVEHOSTED_NOTIF/smtpPort=str:25
OVEHOSTED_NOTIF/smtpServer=str:localhost
OVEHOSTED_NOTIF/sourceEmail=str:root@localhost
OVEHOSTED_NOTIF/destEmail=str:root@localhost

deployment ask for vm memory:
Please specify the memory size of the VM in MB [Defaults to maximum available: 14979]: 4096
Comment 2 Sandro Bonazzola 2015-12-16 07:22:04 EST
According to verification status and target milestone this issue should be fixed in oVirt 3.6.1. Closing current release.

Note You need to log in before you can comment on or make changes to this bug.